#ifndef FRAME_H
#define FRAME_H

#include <stdint.h>
#include <stdbool.h>


typedef struct frame_t_
{
    uint16_t analog1: 10;
    uint16_t analog2: 10;
    uint16_t analog3: 10;
    uint16_t analog4: 10;
    uint32_t buttons: 20;
    uint32_t toggles: 20;
    uint16_t crc;
}
frame_t;


void frame_update_crc(frame_t *frame);
bool frame_verify_crc(frame_t const *frame);

#endif // FRAME_H